com.google.protobuf

## Class ExtensionRegistry.ExtensionInfo

- java.lang.Object
- - com.google.protobuf.ExtensionRegistry.ExtensionInfo

- Enclosing class:
    ExtensionRegistry

      public static final class ExtensionRegistry.ExtensionInfo
      extends java.lang.Object

  A (Descriptor, Message) pair, returned by lookup methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Message` | `defaultInstance` A default instance of the extension's type, if it has a message type.
    `Descriptors.FieldDescriptor` | `descriptor` The extension's descriptor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### descriptor

          public final Descriptors.FieldDescriptor descriptor

      The extension's descriptor.

    - #### defaultInstance

          public final Message defaultInstance

      A default instance of the extension's type, if it has a message type. Otherwise, `null`.